import { Action } from './action';
import { KeyCombo } from './key-combo';
export declare class EventProcessor {
    currentCombo: KeyCombo;
    lastEvent: KeyboardEvent;
    constructor();
    reset(): void;
    processEvent(ev: KeyboardEvent, actions: Map<string, Action>, debug: boolean): boolean;
    cleanCombo(debug: any): void;
    /**
     * Search for the right action, given a keyCombo, and execute its callbacks
     */
    processActionCombos(ev: KeyboardEvent, actions: Map<string, Action>, debug: boolean): boolean;
    /**
     * Checks whether the que matches a particular action
     */
    private matchesComboAction(action);
    private printDebugKeyPressed(ev);
    private printDebugActionFound(action);
}
